using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using UUN;
using System.Data.SqlClient;
using System.IO;
using System.Text;

public partial class Admin_Template_ContentTemplateList_Edit : System.Web.UI.Page
{
    private 访问 访问;
    protected String 模板类型;
    private String 模板组;
    private String 模板名称;
    private int ID;
    protected void Page_Load(object sender, EventArgs e)
    {
        模板类型 = Request.QueryString["ttype"];
        访问 = new 访问(this.Context);
        访问.开始处理("修改" + 模板类型 + "模板", "网站后台", "修改" + 模板类型 + "模板", new 访问.回调委托(ZhiXing));
        访问.关闭连接();
    }

    private void ZhiXing()
    {
        访问.验证管理员();

        String 模板组 = Request.QueryString["group"];
        ID = Convert.ToInt32(Request.QueryString["ID"]);

        设置 内容模板 = new 设置(File.ReadAllText(Server.MapPath("~/Template/Content/" + 模板组 + "/Content/" + ID + ".xml"), Encoding.UTF8));

        if (this.IsPostBack)
        {
            访问.验证权限("52");
            String _模板名称 = MoBanMingChen.Text;
            String 模板说明 = MoBanShuoMing.Text;


            if (_模板名称.Length < 1 || _模板名称.Length > 50)
                throw new Exception("模板名称的长度只能在1-50之间");
            if (模板说明.Length < 1 || 模板说明.Length > 200)
                throw new Exception("模板说明的长度只能在1-200之间");

            内容模板["模板名称"] = _模板名称;
            内容模板["模板说明"] = 模板说明;
            File.WriteAllText(Server.MapPath("~/Template/Content/" + 模板组 + "/Content/" + ID + ".xml"),
                内容模板.生成XML(), Encoding.UTF8);

            访问统计_管理记录 管理记录 = new 访问统计_管理记录(this.Context, 访问.连接);
            管理记录.记录("修改" + 模板类型 + "模板", 访问.用户["昵称"].ToString());

            Response.Redirect("ContentTemplateList.aspx?ttype=" + Server.UrlEncode(模板类型));
        }
        else
        {
            MoBanMingChen.Text = 内容模板["模板名称"].ToString();
            MoBanShuoMing.Text = 内容模板["模板说明"].ToString();
        }
    }
}
